- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.ListLabsExperimentExecutionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions/list#body.aspect_1)

**Full name**: projects.locations.instances.labsExperiments.executions.list

Lists all executions (interactions) for a specific LabsExperiment. Use this method to browse the history of usage and results for an experimental capability.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/executions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Can be an Instance or a specific LabsExperiment. Format: projects/{project}/locations/{location}/instances/{instance}/labsExperiments/{labsExperiment} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of experiments to return. The service may return fewer than this value. If unspecified, server picks an appropriate default. |
| `pageToken` | `string` Optional. A page token received from a previous `executions.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Filter expression conforming to AIP-160. Example: `state = "ACTIVE" AND category = "DETECTIONS"` |
| `orderBy` | `string` Optional. Order by fields conforming to AIP-132. Example: `createTime desc` |

### Request body

The request body must be empty.

### Response body

Response message for executions.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "labsExperimentExecutions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions#LabsExperimentExecution`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `labsExperimentExecutions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.labsExperiments.executions#LabsExperimentExecution`)`` The list of LabsExperimentExecution resources found. |
| `nextPageToken` | `string` A token to retrieve the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.labsExperimentExecutions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).